Debian Bug report logs - #565456
fails in persistency mode and unknown fs

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: amrmap <pietjepuk72@yahoo.co.uk>

Date: Fri, 15 Jan 2010 22:57:01 UTC

Severity: normal

Found in version live-initramfs/1.156.1+1.157.2-1

Fixed in version live-initramfs/1.173.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#565456; Package live-initramfs. (Fri, 15 Jan 2010 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to amrmap <pietjepuk72@yahoo.co.uk>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Fri, 15 Jan 2010 22:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: amrmap <pietjepuk72@yahoo.co.uk>
To: submit@bugs.debian.org
Subject: Boot failed of debian-live-lxde prebuild image on atom N270 netbook
Date: Fri, 15 Jan 2010 22:52:16 +0000 (GMT)
[Message part 1 (text/plain, inline)]
Package: live-initramfs
Version: 1.156.1+1.157.2-1

I downloaded the lxde image from: http://cdimage.debian.org/cdimage/release/current-live/i386/usb-hdd/ , i.e. debian-live-502-i386-lxde-desktop.img
Booting from a usb-stick with this image on it failed.
Architecture: i386 (atom N270)

Short live.log is:
Begin: Running /scripts/live-premount ... done.
mount: mounting /dev/sda1 on /live/image failed: Invalid argument
mount: mounting /dev/sda1 on /live/image failed: Invalid argument
mount: mounting /dev/sda1 on /live/image failed: Invalid argument
mount: mounting /dev/sda1 on /live/image failed: Invalid argument
mount: mounting /dev/sda1 on /live/image failed: Invalid argument
mount: mounting /dev/sda1 on /live/image failed: Invalid argument
Begin: Running /scripts/live-realpremount .... done.
Begin: Mounting "/live/image/live/filesystem.squashfs" on "/filesystem.squashfs" via "/dev/loop0" ... mount: mounting /dev/loop0 on //filesystem.squashfs failed: Invalid argument

Note: /dev/sda1 is an ext4 partition with Ubuntu 9.10 netbook remix on it.

live.log with debug enabled is attached.


      
[live.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#565456; Package live-initramfs. (Sat, 16 Jan 2010 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 16 Jan 2010 16:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 565456@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Rob Owens <rowens@ptd.net>
Cc: 565456@bugs.debian.org
Subject: Re: Bug#565456: Boot failed of debian-live-lxde prebuild image on atom N270 netbook
Date: Sat, 16 Jan 2010 17:06:19 +0100
retitle 565456 fails in persistency mode and unknown fs
thanks

Rob Owens wrote:
> What I discovered as a workaround is that if you boot your non-live
> system, you can run this command:

the proper workaround, until it's fixed in live-initramfs2, is to boot
with 'nopersistent'.

in case you have an ext4 partition *and* want to boot with persistency,
you'll need to specify the device (see man live-initramfs).

in case you cannot specify it, you're currently out of luck :/

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to 'fails in persistency mode and unknown fs' from 'Boot failed of debian-live-lxde prebuild image on atom N270 netbook' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 16 Jan 2010 16:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#565456; Package live-initramfs. (Fri, 22 Jan 2010 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Fri, 22 Jan 2010 10:39:04 GMT) Full text and rfc822 format available.

Message #17 received at 565456@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 565456-submitter@bugs.debian.org
Cc: 565456@bugs.debian.org
Subject: Re: fails in persistency mode and unknown fs
Date: Fri, 22 Jan 2010 11:24:33 +0100
tag 565456 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 10:39:08 GMT) Full text and rfc822 format available.

Message sent on to amrmap <pietjepuk72@yahoo.co.uk>:
Bug#565456. (Fri, 22 Jan 2010 10:39:14 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 31 Jan 2010 16:09:11 GMT) Full text and rfc822 format available.

Notification sent to amrmap <pietjepuk72@yahoo.co.uk>:
Bug acknowledged by developer. (Sun, 31 Jan 2010 16:09:11 GMT) Full text and rfc822 format available.

Message #27 received at 565456-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 565456-close@bugs.debian.org
Subject: Bug#565456: fixed in live-initramfs 1.173.1-1
Date: Sun, 31 Jan 2010 16:04:33 +0000
Source: live-initramfs
Source-Version: 1.173.1-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.173.1-1.diff.gz
  to main/l/live-initramfs/live-initramfs_1.173.1-1.diff.gz
live-initramfs_1.173.1-1.dsc
  to main/l/live-initramfs/live-initramfs_1.173.1-1.dsc
live-initramfs_1.173.1-1_all.deb
  to main/l/live-initramfs/live-initramfs_1.173.1-1_all.deb
live-initramfs_1.173.1.orig.tar.gz
  to main/l/live-initramfs/live-initramfs_1.173.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565456@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 31 Jan 2010 16:44:08 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.173.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 560187 565456
Changes: 
 live-initramfs (1.173.1-1) unstable; urgency=medium
 .
   [ intrigeri ]
   * Taking noprompt into account for USB flash drives as well.
   * Restoring opt-in behavior for local swap partitions.
 .
   [ Daniel Baumann ]
   * Updating package to debhelper 7.
   * Updating package to standards 3.8.3.
   * Don't use dh_clean in favour of dh_prep.
 .
   [ Luigi Capriotti ]
   * Also allowing hook= to specify files inside the image through
     file:// prefix.
 .
   [ Daniel Baumann ]
   * Forwardporting and extending usage of rsync when booting with toram
     based on a patch from Michael Prokop <mika@grml.org>.
 .
   [ Michael Prokop ]
   * Adding support for isofrom/fromiso bootoption.
 .
   [ Daniel Baumann ]
   * Adapting a patch from Michael Prokop <mika@grml.org> to set all
     harddisk devices to read-only mode for forensics investigations.
 .
   [ Michael Prokop ]
   * Adding support for ethdevice bootoption.
 .
   [ Daniel Baumann ]
   * Merging casper 1.158.
   * Merging casper 1.159.
   * Merging casper 1.160.
   * Merging casper 1.161.
   * Merging casper 1.162.
   * Merging casper 1.163.
   * Merging casper 1.164.
   * Merging casper 1.165.
   * Merging casper 1.166.
   * Merging casper 1.167.
   * Merging casper 1.168.
   * Merging casper 1.169.
   * Merging casper 1.170.
   * Merging casper 1.171.
   * Merging casper 1.172.
   * Merging casper 1.173.
   * Adding skipconfig parameter to disable most customization.
 .
   [ Marco Amadori ]
   * cpio snapshots: eval commands fix.
 .
   [ Daniel Baumann ]
   * Updating defaults file of console-setup for squeeze, thanks to Jun
     NOGATA <nogajun@gmail.com> (Closes: #560187).
   * Adding explicit debian source version 1.0 until switch to 3.0.
   * Adding select_eth_device script from Frederic Boiteux
     <fboiteux@calistel.com>.
   * Including rsync conditionally.
   * Updating year in copyright file.
   * Don't panic with persistency when we can't correctly mount the
     filesystem (Closes: #565456).
 .
   [ Ben Armstrong ]
   * Correcting keyboard handling for squeeze.
   * Only edit usplash init script if it exists.
   * Use klayout= for layout instead of kbd=.
 .
   [ Daniel Baumann ]
   * Updating to standards version 3.8.4.
Checksums-Sha1: 
 e8258a5a69c09f5a075ae63674e29d5329c2f352 1287 live-initramfs_1.173.1-1.dsc
 a3d1e51d3923f77c2d27a112e04ecadf2aedca47 87730 live-initramfs_1.173.1.orig.tar.gz
 8b67c779efb988dcdff203356e049cd4ec456f38 13987 live-initramfs_1.173.1-1.diff.gz
 1cc706ae2c5c3a72a8493f50958df64eba285a13 99542 live-initramfs_1.173.1-1_all.deb
Checksums-Sha256: 
 232119c57c078798500cf8ea6b4166a95906867881d455f3162762b11b3b3a7d 1287 live-initramfs_1.173.1-1.dsc
 534fa83d0c74f88a9348b89410fa3a622b5e492ed327ca0c11fcc8dd1ebc54ab 87730 live-initramfs_1.173.1.orig.tar.gz
 762b98592730033e71d9db54b04648698d0402535a12b6a0a6fd40172024d378 13987 live-initramfs_1.173.1-1.diff.gz
 1e0d8ab760f501dda05ff81df233dee1f5628901755706452bafca3f70ab9d66 99542 live-initramfs_1.173.1-1_all.deb
Files: 
 b7240a2cbe2fb5f86c739d5d974f7d13 1287 misc optional live-initramfs_1.173.1-1.dsc
 b82f086906500e36a40fca32c116cd44 87730 misc optional live-initramfs_1.173.1.orig.tar.gz
 005f7d7250d4f95f3f4613c7fb74a58f 13987 misc optional live-initramfs_1.173.1-1.diff.gz
 9dadb60b2e6913dc288ec6431f4919dc 99542 misc optional live-initramfs_1.173.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktlpfIACgkQ+C5cwEsrK55LSACfS58i+6N23J2LKsIXKOgzU18g
7rQAn2bGkqvQfaWSbW+I/ZkLhpLUcu5d
=YthY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Mar 2010 07:33:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:05:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.